﻿using System;
using Wisej.Web;
using System.Drawing;

namespace PopUpHidden
{
    public partial class frmContextMenu : Form
    {
        ContextMenu context_menu;
        public enum MenuOptions { Full, Disabled, NoVisible}
        public MenuOptions _userMenu;

        public frmContextMenu(MenuOptions UserMenu)
        {
            InitializeComponent();
            _userMenu = UserMenu;
        }

     
        private void frmContextMenu_Load(object sender, EventArgs e)
        {
            CreateMenu(_userMenu);
        }

        private void CreateMenu(MenuOptions mnuOption)
        {
            MenuItem item1 = new MenuItem("File");
            MenuItem item2 = new MenuItem("Print the file");
            MenuItem item3 = new MenuItem("Print Preview");
                        
            MenuItem item4 = new MenuItem("-");
            MenuItem item5 = new MenuItem("Save");
            MenuItem item6 = new MenuItem("Exit");

            MenuItem item7 = new MenuItem("Edit");
            // item7.BarBreak = true;
            MenuItem item8 = new MenuItem("Undo");
            MenuItem item9 = new MenuItem("Cut");
            MenuItem item10 = new MenuItem("Paste");


            MenuItem item12 = new MenuItem("Format Table");
            //item12.Break = true;
            MenuItem item13 = new MenuItem("Format Page");

            MenuItem item14 = new MenuItem();
            //item14.Break = true;
            MenuItem item15 = new MenuItem("Help");

            switch (mnuOption)
            {
                case MenuOptions.Full:
                    break;
                case MenuOptions.Disabled:
                    item1.Enabled = false;
                    item2.Enabled = false;
                    item3.Enabled = false;
                    break;
                case MenuOptions.NoVisible:
                    item1.Visible = false;
                    item2.Visible = false;
                    item3.Visible = false;

                    break;
                default:
                    break;
            }

            MenuItem[] items = new MenuItem[] {item1, item2, item3, item4, item5,
                item6, item7, item8, item9, item10, item12,
                item13, item14, item15};

            context_menu = new ContextMenu(items);
            Click += new EventHandler(OnClick);
        }

        void OnClick(object sender, EventArgs e)
        {
            Point pnt;
            pnt = PointToClient(MousePosition);
            context_menu.Show(this, pnt);
        }
    }
}
